using FLY.Thick.FilmCasting.IService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.FilmCasting.Client
{
    public class ScanWarningServiceClient : FObjBase.Reflect.Reflect_SeviceClient, IScanWarningService
    {
        protected override Type InterfaceType => typeof(IScanWarningService);

        public bool Enable { get; set; }
        public int AlarmCnt { get; set; }
        public double AlarmPercent { get; set; }
        public int Mix { get; set; }

        public ScanWarningServiceClient(UInt32 serviceId) : base(serviceId) { }
        public ScanWarningServiceClient(UInt32 serviceId, string connName) : base(serviceId, connName) { }

        public void Apply()
        {
            Call(nameof(Apply));
        }
    }
}
